org.apache.myfaces.trinidad.context

## Enum Window.Usage

- java.lang.Object
- - java.lang.Enum<Window.Usage>
  - - org.apache.myfaces.trinidad.context.Window.Usage

- All Implemented Interfaces:
    Serializable, Comparable<Window.Usage>
  Enclosing class:
    Window

      public static enum Window.Usage
      extends Enum<Window.Usage>

  Represents how the window is used in the application

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIALOG` Used as a dialog
    `FRAME` Used as a top-level application window

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Window.Usage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Window.Usage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRAME

          public static final Window.Usage FRAME

      Used as a top-level application window

    - #### DIALOG

          public static final Window.Usage DIALOG

      Used as a dialog

  - ### Method Detail

    - #### values

          public static Window.Usage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Window.Usage c : Window.Usage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Window.Usage valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.